package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF446 extends MwfRequest<MWF446, MWF446Response> {

    @Parameter(name = "CompletationChannelID")
    MWF446 completationChannelID(String completationChannelID);
    @Parameter(name = "GeneratedDocumentID")
    MWF446 generatedDocumentID(String generatedDocumentID);
    @Parameter(name = "ProdPackageKey")
    MWF446 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "SignatureID")
    MWF446 signatureID(String signatureID);
    @Parameter(name = "TimeStamp")
    MWF446 timeStamp(java.util.Date timeStamp);
}
